`setup.el`
==========

The `setup` macro simplifies repetitive configuration patterns, by
providing context-sensitive local macros in `setup` bodies.

See [SetupEl][ewiki] on Emacs Wiki for more details and examples.

Installation
------------

`setup.el` is part of [GNU ELPA][elpa], and can be installed using
`package.el`.

Usage
-----

The `setup` macro is autoloaded, and can be used directly.  The code
generated by `setup` does not depend on `setup.el`, meaning that your
initialization file can be byte-compiled more efficiently.

Bugs
----

Bugs or patches can be submitted to my [public inbox][mail] or via the
[GitHub mirror][github].  Note that non-trivial contributions require
a [copyright assignment][ca] to the FSF.

This package is still young, so wishes, impressions and criticism are
very appreciated. If you have anything to say, feel free to send an
email to the aforementioned [public inbox][mail].

Copying
-------

`setup.el` is distributed under the [GPL v3][gpl3] license.

[ewiki]: https://www.emacswiki.org/emacs/SetupEl
[elpa]: http://elpa.gnu.org/packages/setup.html
[mail]: https://lists.sr.ht/~pkal/public-inbox
[github]: https://github.com/phikal/setup.el
[ca]: https://www.gnu.org/software/emacs/manual/html_node/emacs/Copyright-Assignment.html#Copyright-Assignment
[gpl3]: https://www.gnu.org/licenses/gpl-3.0.en.html
